
#UserWay{
    position:fixed;
    width:45px;
    height:45px;
    border-radius:50%;
    z-index:9999;
    top:20px;
    right:20px;
    border:4px solid #FFF;
    text-align:center;
    font-weight:bold;
    color:white;
    box-shadow:0px 0px 3px #188ed8;
    background:#188ed8;

}


#UserWay img {
    width: 90%;
    height: 90%;
    top: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%,-50%);
}
#UserWay:hover{
    cursor: pointer;
    color: #8bb0ff;
}
#FontBox{
    position: fixed;
    width: 230px;
    z-index: 9999;
    top: 20px;
    right: 85px;
    border: 1px solid #E0E0E0;
    text-align: center;
    font-weight: bold;
    color: white;
    box-shadow: 0px 0px 3px #d2d2d2;
    background: #fff;
    display: none;
    border-radius: 8px;

}

#FontBox:after {
    content: ' ';
    position: absolute;
    left:0;
    top: 0;


}
._topMenu{
    width: 230px;
    height: 45px;
    z-index: 9999;
    top: 80px;
    right: 20px;
    text-align: center;
    font-weight: bold;
    color: white;
    background: #188ed8;
    margin: auto;
    border-radius: 5px 5px 0 0;
}

._contentWedget{
    width: 213px;

    z-index: 1000;
    top: 80px;
    right: 20px;
    text-align: center;
    font-weight: bold;
    color: white;
    border:1px solid #d5d5d7;
    background: #fff;
    margin: 8px;
    border-radius: 5px;
    border-top:none;
    border-left:none;
}
#FontBox table{
    border-collapse: unset !important;
    border-spacing: 0;
    direction: rtl;
    width: 100%;
}
._OptionBox table td{
    width:50%;
    height:70px;
    z-index:9999;
    top:80px;
    box-sizing: content-box;
    right:20px;
    border: 1px solid #E4E4E4;
    text-align:center;
    font-weight:bold;
    color: rgba(72, 72, 72, 0.82);
    padding-top: 10px;
    font-weight: normal;
    background:#fff;

}

._OptionBox table tr td:first-child{
    border-left:none;
    border-right: none;
    border-bottom:none
}

._OptionBox table tr:first-child td:first-child{
    border-top-right-radius: 4px;
}
._OptionBox table tr:first-child td:nth-child(2){
    border-top-left-radius: 4px;
}
._OptionBox table tr td:nth-child(2){

    border-bottom:none;

}
._topMenu i{
    padding-top: 5px;
    padding-right: 10px;
    float: right;
    font-size: 25px;
}
._topMenu i:hover{
    cursor: pointer;
    color: rgba(238, 2, 62, 0.3)
}

._topMenu span{

    float: left;
    padding-top: 10px;
    padding-left: 10px;
    font-size: 16px;
}
._OptionBox table td i{
    font-size: 25px;
    color:rgba(72, 72, 72, 0.82);
}
._OptionBox table td:hover {
    background: rgba(216, 216, 218, 0.15);
    box-shadow: 0px 0px 3px rgba(247, 247, 249, 0.29);
    cursor: pointer;
}
#BigerFont span{
    background: #00aeff;
    display: inline-block;
    width: 22px;
    height: 4px;
    position: relative;
    top: -5px;
    margin-right: 2px;
    left: 3px;
    float: left;
}
#progss{
    text-align: left;

}
#_Reset{
    background: #fefefe;
    line-height: 20px;
    height: 50px;
    color: #545454;
    padding: 1px;
    padding-top: 1px;
    border-radius: 0 0 5px 5px;
    border: 1px solid #ededed;
    font-weight: normal;
}
#_Reset:hover{
    cursor: pointer;
    background: rgba(216, 216, 218, 0.15);
    box-shadow: 0px 0px 3px rgb(47, 176, 255);
}
._rangeColor{

    position: relative;
    top: 153px;
    width: 100px;
    left: 28%;
    z-index: 9999;
    display: none;
}


#FontBox ._rangeColor input[type="range"] {
    margin: auto;
    -webkit-appearance: none;
    position: absolute;
    overflow: hidden;
    height: 8px;
    width: 100%;
    cursor: pointer;
    border-radius: 4px;

}

#FontBox ::-webkit-slider-runnable-track {
    background: #ddd;
}

/*
 * 1. Set to 0 width and remove border for a slider without a thumb
 */
#FontBox  ::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 10px; /* 1 */
    height: 10px;
    background: #fff;
    box-shadow: -100vw 0 0 100vw dodgerblue;
    border: 1px solid #535353;
}



#FontBox ::-moz-range-track {
    height: 8px;
    background: #ddd;
}

#FontBox ::-moz-range-thumb {
    width: 10px; /* 1 */
    height: 10px;
    background: #fff;
    box-shadow: -100vw 0 0 100vw dodgerblue;
    border: 1px solid #535353;
    border-radius: 0 !important;
    box-sizing: border-box;
}

#FontBox ::-ms-fill-lower {
    background: dodgerblue;
}

#FontBox ::-ms-thumb {
    background: #fff;
    border: 2px solid #999;
    height: 40px;
    width: 20px;
    box-sizing: border-box;
}

#FontBox ::-ms-ticks-after {
    display: none;
}

#FontBox ::-ms-ticks-before {
    display: none;
}

#FontBox ::-ms-track {
    background: #ddd;
    color: transparent;
    height: 40px;
    border: none;
}

#FontBox ::-ms-tooltip {
    display: none;
}
.widget-links a{
    text-align: center;
    text-decoration: none;
    color: purple;
    font-family: Corbel;
    font-weight: normal;
}

.widget-logo{
    padding:10px;
}
._wrapper {
    border: 1px solid #606060;
    padding: 10px;
    background: #303030;
    color: white;
    width: 50%;
    margin: auto;
    position: fixed;
    transform: translate(-50%,-50%);
    left: 50%;
    top: 80%;
    box-shadow: 0 0 3px #6c6c6c;
    border-radius: 4px;
    display: none;
    z-index: 999999999;
}
.keyboard div{
    direction: ltr;
}
._wrapper .keyboard {
    font-family: monospace;
    font-weight: bold;
    /* FlexBox */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;

    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;

    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    z-index: 999999;
}
._wrapper .keyboard .row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;

    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}
._wrapper .keyboard .row .key {
    height: 40px;
    line-height: 40px;
    text-align: center;
    border: 1px solid rgba(117, 117, 117, 0.2);
    transition: 200ms background;
}
._wrapper .keyboard .row .key:hover {
    background: rgba(255, 255, 255, 0.1);
    cursor: pointer;
}
._wrapper .keyboard .row .key:active {
    background: rgba(255, 255, 255, 0.4);
    cursor: pointer;
}
._wrapper .keyboard .row .key.activeKey {
    background: rgba(0, 0, 0, 0.27);

}
._wrapper .keyboard .row .vertical-center  {
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;

    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}
._wrapper .keyboard .row .m-width  {width: 40px }
._wrapper .keyboard .row .l-width  {width: 83px }
._wrapper .keyboard .row .xl-width {width: 104px}
._wrapper .keyboard .row .xxl-width {width: 125px}
._wrapper .keyboard .row .spacebar-width {width: 292px}

._wrapper .keyboard .row .s-space {margin-left: 25px}
._wrapper .keyboard .row .m-space {margin-left: 50px}
